#!/bin/bash
# Change to the directory where the script is located
cd "$(dirname "$0")"
# Exit immediately if a command exits with a non-zero status
set -e

cd doctreecmd

echo "=== Scanning Collections ==="
cargo run -- scan ../examples

echo -e "\n=== Listing Collections ==="
cargo run -- list

echo -e "\n=== Getting Document (Markdown) ==="
cargo run -- get -c grid_documentation -p introduction.md

echo -e "\n=== Getting Document (HTML) ==="
cargo run -- get -c grid_documentation -p introduction.md -f html

echo -e "\n=== Deleting Collection ==="
cargo run -- delete-collection grid_documentation

echo -e "\n=== Listing Remaining Collections ==="
cargo run -- list

echo -e "\n=== Resetting All Collections ==="
cargo run -- reset

echo -e "\n=== Verifying Reset ==="
cargo run -- list