---
title: Purchase Options
sidebar_position: 1
---

### Base AIBox Plan ($1-1500)
For experienced builders and hardware enthusiasts who want to customize their AI infrastructure. This plan provides the essential framework while allowing you to select and integrate your own GPU.

Base Configuration:
- GPU: Your choice, with minimum requirement of AMD Radeon RX 7900 XT
  * Flexibility to use existing GPU or select preferred model
  * Support for multiple GPU vendors with minimum performance requirements
  * Full integration support for chosen hardware
- Memory: 64-128 GB DDR5
  * Expandable configuration
  * High-speed memory modules
  * ECC support optional
- Storage: 2-4 TB of NVMe SSD
  * PCIe 4.0 support
  * Configurable RAID options
  * Expansion capabilities
- Integrated Mycelium Network
  * Full network stack
  * P2P capabilities
  * Decentralized computing support

Rewards Structure:
- Proof of Capacity: 500-2000 INCA per month (depending on chosen GPU)
- Proof of Utilization: 80% of INCA Revenue
- Flexible earning potential based on hardware configuration

### 1 GPU AIBox Plan ($2-2500)
Perfect for individual developers and researchers who need professional-grade AI computing power. This configuration provides enough processing power for smaller but smart models and AI agents.

Standard Configuration:
- 1x AMD Radeon RX 7900 XTX
  * 24GB VRAM
  * 61.6 TFLOPS FP32 Performance
  * 960 GB/s Memory Bandwidth
- 64-128 GB DDR5 Memory
  * Optimal for AI workloads
  * High-speed data processing
  * Multi-tasking capability
- 2-4 TB of NVMe SSD
  * Ultra-fast storage access
  * Ample space for datasets
  * Quick model loading
- Integrated Mycelium
  * Full network integration
  * Ready for distributed computing
  * P2P capabilities enabled

Rewards Structure:
- Proof of Capacity: 1000 INCA per month
- Proof of Utilization: 80% of INCA Revenue
- Consistent earning potential

### 2 GPU AIBox Plan ($4-5000)
Our most powerful configuration, designed for serious AI researchers and organizations. This setup supports large 48GB models, providing substantial computing power for advanced AI applications.

Advanced Configuration:
- 2x AMD Radeon RX 7900 XTX
  * Combined 48GB VRAM
  * 123.2 TFLOPS total FP32 Performance
  * 1920 GB/s Total Memory Bandwidth
- 64-128 GB DDR5 Memory
  * Maximum performance configuration
  * Support for multiple large models
  * Extensive multi-tasking capability
- 2-4 TB of NVMe SSD
  * Enterprise-grade storage
  * RAID configuration options
  * Expandable capacity
- Integrated Mycelium
  * Enhanced network capabilities
  * Full distributed computing support
  * Advanced P2P features

Rewards Structure:
- Proof of Capacity: 2000 INCA per month
- Proof of Utilization: 80% of INCA Revenue
- Maximum earning potential

Each plan includes comprehensive support, setup assistance, and access to the full AIBox ecosystem. Configurations can be further customized within each plan's framework to meet specific requirements.