---
title: Hardware Specifications
sidebar_position: 1
---

### GPU Options

At the heart of AIBox lies its GPU configuration, carefully selected for AI workloads. The AMD Radeon RX 7900 XTX provides an exceptional balance of performance, memory, and cost efficiency:

| Model | VRAM | FP32 Performance | Memory Bandwidth |
|-------|------|------------------|------------------|
| RX 7900 XTX | 24GB | 61.6 TFLOPS | 960 GB/s |
| Dual Config | 48GB | 123.2 TFLOPS | 1920 GB/s |

The dual GPU configuration enables handling larger models and datasets that wouldn't fit in single-GPU memory, making it ideal for advanced AI research and development.

### Memory & Storage

AI workloads demand high-speed memory and storage. The AIBox configuration ensures your GPU computing power isn't bottlenecked by I/O limitations:

Memory Configuration:
- RAM: 64GB/128GB DDR5-4800
- Storage: 2x 2TB NVMe SSDs (PCIe 4.0)

This setup provides ample memory for large dataset preprocessing and fast storage access for model training and inference.

### Cooling System

Thermal management is crucial for sustained AI workloads. Our cooling solution focuses on maintaining consistent performance during extended operations:

This cooling system allows for sustained maximum performance without thermal throttling, even during extended training sessions.

### Power Supply

Reliable power delivery is essential for system stability and performance.

The AIBox power configuration ensures clean, stable power delivery under all operating conditions, with headroom for additional components or intense workloads.