#!/bin/bash
# Change to the directory where the script is located
cd "$(dirname "$0")"
# Exit immediately if a command exits with a non-zero status
set -e

cd doctreecmd

# First, scan the collections with a specific doctree name
echo "=== Scanning Collections with doctree name 'include_demo' ==="
cargo run -- scan ../examples --doctree include_demo

# List the collections
echo -e "\n=== Listing Collections ==="
cargo run -- list --doctree include_demo

# Get the document with includes in markdown format
echo -e "\n=== Getting Document with Includes (Markdown) ==="
cargo run -- get -c grid1 -p include_example.md --doctree include_demo
